Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

List of Shortcut Keys...

14 REPLIES 14
Reply
Message 1 of 15
KF090
20115 Views, 14 Replies

List of Shortcut Keys...

Is there a printable list of all configured (default and custom) shortcut keys?

14 REPLIES 14
Message 2 of 15
JDMather
in reply to: KF090

Yes  (see attached)

 

I think I discuss how I add or change some of them in this paper  http://home.pct.edu/~jmather/skillsusa%20university.pdf


-----------------------------------------------------------------------------------------
Autodesk Inventor 2019 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional


The CADWhisperer YouTube Channel


EESignature

Message 3 of 15
cvbt-thailand
in reply to: JDMather

"In the Customize dialog box, Keyboard tab, use Copy to Clipboard to copy a list of command names and their assigned aliases and shortcuts to the clipboard. You can paste this data into an Excel spreadsheet or any word processor."  WikiHelp - Custom shortcut keys

I've also attached Single and Multiple key lists in a few different formats.

I like JD's short cut suggestions (see the link in his post) for sketch constraints using punctuation keys and symbols.  I tried assigning different Display Modes (Shaded, Shaded with edges, Shaded with Hidden edges) to the keyboard numbers.  In 2011 it works out just about right as there are about 9 display modes.  This is very useful; it gives me an easy way to see things differently.

 

Geoffrey Wheeler
AutoCAD Mechanical 2011 SP2, IV Pro 2011 64bit SP2, stand alone, Design Review 2018, DWG True View 2018, Inventor View // Win7 Ultimate SP1
ASUS P8H61-M LE, Intel i5-3450 @ 3.10 GHz, 8GB RAM // ATI AMD Radeon HD 6600 Series, 1GB RAM
Message 4 of 15
KF090
in reply to: cvbt-thailand

Thanks guys. 🙂

Message 5 of 15
cadfish1
in reply to: KF090

Better yet, here's a macro to produce the list on demand (in Excel).

Message 6 of 15
Lawson2011
in reply to: cadfish1

try this

Message 7 of 15
cadfish1
in reply to: Lawson2011

The file you have attached is for AutoCAD LT and can't be used by Inventor (i.e. wrong discussion group).

Message 8 of 15
Bobeep
in reply to: KF090

Could you please explain how to use the file in the zip file you have attached?

Message 9 of 15
cadfish1
in reply to: KF090

1. With Inventor as Windows active application, press the F11 key which brings up the VBA Editor then go to the File menu > Load Project... > select ShorCuts.ivb

2. Go to Inventor > Tools > Macros > select ShortCuts_ExportToExcel > Run button

Message 10 of 15
tdswanson
in reply to: cadfish1

cadfish -

 

I can't seem to get this ivb file imported into my VBA editor.  I choose load project, browse to the file, pick it and choose open.  Then nothing happens.  When I look at my list of macro's there's no additional macros there.

 

Am I missing something?  Using IV2012.

 

Thx

Message 11 of 15
cadfish1
in reply to: tdswanson

I'm in 2011 but it works fine as stated in my previous response (see attached file).

Message 12 of 15
tdswanson
in reply to: cadfish1

Hmmm.  Well it won't import for me.  It shows up to be loaded.....  But it doesn't actually come in.  There are no new macros listed after I choose "open" in the open dialog box.

 

Can you post a TXT file so I can create a new macro and paste it in?

 

Thanks for your help......

Message 13 of 15
cadfish1
in reply to: tdswanson

In Inventor > Tools > VBA Editor > in the VBA Editor > File > New Project > Expand UserProject1 > Expand Modules > double click on Module1 > paste in code (listed below) in window on the right > File > Save UserProject1

 

Sub ShortCuts_ExportToExcel()
    Dim oControlDefinition As ControlDefinition
    Dim oExcelApp As Object     'Late binding - none version specific
    Dim oWorkBook As Object     'Late binding - none version specific
    Dim oWorkSheet As Object    'Late binding - none version specific
    Dim lRow As Long
    Dim bCustomCommand As Boolean
    Dim bBuiltIn_IsShortcutOverridden As Boolean
    Dim sLastColumn As String
    
    'Excel Constants
    Const xlSortOnValues As Long = 0
    Const xlAscending As Long = 1
    Const xlSortNormal As Long = 0
    Const xlYes As Long = 1
    Const xlTopToBottom As Long = 1
    Const xlPinYin As Long = 1
    Const xlDown As Long = -4121
    Const xlFormatFromLeftOrAbove As Long = 0
    Const xlPrintNoComments As Long = -4142
    Const xlPortrait As Long = 1
    Const xlPaperLetter As Long = 1
    Const xlAutomatic As Long = -4105
    Const xlDownThenOver As Long = 1
    Const xlPrintErrorsDisplayed As Long = 0
    Const xlEdgeBottom As Long = 9
    Const xlThin As Long = 2
    Const xlThick As Long = 4
    Const xlMedium As Long = -4138
    Const xlCenter As Long = -4108
    
    Set oExcelApp = CreateObject("Excel.Application")
    oExcelApp.Visible = True
    Set oWorkBook = oExcelApp.ActiveWorkbook
    If oWorkBook Is Nothing Then Set oWorkBook = oExcelApp.Workbooks.Add
    Set oWorkSheet = oWorkBook.ActiveSheet
    
    oWorkSheet.Cells.NumberFormat = "@"
    oWorkSheet.Rows("1:3").Font.Bold = True
    oWorkSheet.Range("A2").Font.Color = -16776961   'Red
    oWorkSheet.Range("A2").Value = "Header Setup..."
    With oWorkSheet.Range("A1")
        .Value = "Inventor " & _
            ThisApplication.SoftwareVersion.DisplayVersion & " Shortcuts"
        .Font.Size = 16
    End With
    
    oWorkSheet.Range("A3").Value = "Shortcut"
    oWorkSheet.Columns("A").ColumnWidth = 10
    oWorkSheet.Range("B3").Value = "Command Name"
    oWorkSheet.Columns("B").ColumnWidth = 30
    oWorkSheet.Range("C3").Value = "Description"
    oWorkSheet.Columns("C").ColumnWidth = 60
    oWorkSheet.Range("A4").Select
    oExcelApp.ActiveWindow.FreezePanes = True
    oWorkSheet.Rows("3").Borders(xlEdgeBottom).Weight = xlMedium
    
    oWorkSheet.Range("A2").Value = "Page Setup..."
    With oWorkSheet.PageSetup
        oWorkSheet.Range("A2").Value = "Page Setup:  CenterHeader"
        .CenterHeader = Replace( _
            "&""-,Bold""&20Inventor Shortcuts&""-,Regular""  &12(Page &P of &N)", _
            "Inventor", "Inventor " & ThisApplication.SoftwareVersion.DisplayVersion)
        oWorkSheet.Range("A2").Value = "Page Setup:  LeftMargin"
        .LeftMargin = oExcelApp.InchesToPoints(0.25)
        oWorkSheet.Range("A2").Value = "Page Setup:  RightMargin"
        .RightMargin = oExcelApp.InchesToPoints(0.25)
        oWorkSheet.Range("A2").Value = "Page Setup:  TopMargin"
        .TopMargin = oExcelApp.InchesToPoints(0.4)
        oWorkSheet.Range("A2").Value = "Page Setup:  BottomMargin"
        .BottomMargin = oExcelApp.InchesToPoints(0.25)
        oWorkSheet.Range("A2").Value = "Page Setup:  HeaderMargin"
        .HeaderMargin = oExcelApp.InchesToPoints(0#)
        oWorkSheet.Range("A2").Value = "Page Setup:  FooterMargin"
        .FooterMargin = oExcelApp.InchesToPoints(0#)
        oWorkSheet.Range("A2").Value = "Page Setup:  PrintTitleRows"
        .PrintTitleRows = "$3:$3"
        oWorkSheet.Range("A2").Value = "Page Setup:  PrintGridlines"
        .PrintGridlines = True
        oWorkSheet.Range("A2").Value = "Page Setup:  CenterHorizontally"
        .CenterHorizontally = False
        oWorkSheet.Range("A2").Value = "Page Setup:  CenterVertically"
        .CenterVertically = False
        oWorkSheet.Range("A2").Value = "Page Setup:  Orientation"
        .Orientation = xlPortrait
        oWorkSheet.Range("A2").Value = "Page Setup:  PaperSize"
        .PaperSize = xlPaperLetter
        oWorkSheet.Range("A2").Value = "Page Setup:  FirstPageNumber"
        .FirstPageNumber = xlAutomatic
        oWorkSheet.Range("A2").Value = "Page Setup:  Order"
        .Order = xlDownThenOver
        oWorkSheet.Range("A2").Value = "Page Setup:  Zoom"
        .Zoom = False
        oWorkSheet.Range("A2").Value = "Page Setup:  FitToPagesWide"
        .FitToPagesWide = 1
        oWorkSheet.Range("A2").Value = "Page Setup:  FitToPagesTall"
        .FitToPagesTall = 100
    End With
    
    sLastColumn = "C"
    lRow = 3
    For Each oControlDefinition In ThisApplication.CommandManager.ControlDefinitions
        If oControlDefinition.DefaultShortcut <> "" Or _
            oControlDefinition.OverrideShortcut <> "" Then
            
            lRow = lRow + 1
            oWorkSheet.Range("A2").Value = "Populating Row: " & lRow
            If oControlDefinition.BuiltIn Then
                If oControlDefinition.IsShortcutOverridden Then
                    oWorkSheet.Range("A" & lRow).Value = oControlDefinition.OverrideShortcut
                    bBuiltIn_IsShortcutOverridden = True
                    oWorkSheet.Range("E" & lRow).Value = oControlDefinition.DefaultShortcut
                Else
                    oWorkSheet.Range("A" & lRow).Value = oControlDefinition.DefaultShortcut
                End If
            Else
                oWorkSheet.Rows(lRow).Font.Color = -4165632
                oWorkSheet.Range("A" & lRow).Value = oControlDefinition.OverrideShortcut
                bCustomCommand = True
                oWorkSheet.Range("D" & lRow).Value = "True"
            End If
            
            oWorkSheet.Range("B" & lRow).Value = _
                Replace(oControlDefinition.DisplayName, "&", "")
            oWorkSheet.Range("C" & lRow).Value = _
                Replace(oControlDefinition.DescriptionText, "&", "")
        End If
    Next
    If bCustomCommand Or bBuiltIn_IsShortcutOverridden Then
        'bBuiltIn_IsShortcutOverridden is used here to ensure there will be no column gap
        oWorkSheet.Range("D3").Value = "Custom Command?"
        sLastColumn = "D"
    End If
    If bBuiltIn_IsShortcutOverridden Then
        oWorkSheet.Range("E3").Value = "Default Shortcut (Overwritten)"
        sLastColumn = "E"
    End If
    
    With oWorkSheet.Range("A1:" & sLastColumn & "1")
        .HorizontalAlignment = xlCenter
        .MergeCells = True
    End With
    
    oWorkSheet.Range("A2").Value = "AutoFit Columns"
    oWorkSheet.Columns("A:" & sLastColumn).EntireColumn.AutoFit
    
    oWorkSheet.Range("A2").Value = "Sort"
    oWorkSheet.Sort.SortFields.Clear
    oWorkSheet.Sort.SortFields.Add Key:=oWorkSheet.Range("A4:A" & lRow) _
        , SortOn:=xlSortOnValues, Order:=xlAscending, DataOption:=xlSortNormal
    With oWorkSheet.Sort
        .SetRange oWorkSheet.Range("A4:" & sLastColumn & lRow)
        .Header = xlYes
        .MatchCase = False
        .Orientation = xlTopToBottom
        .SortMethod = xlPinYin
        .Apply
    End With
    
    oWorkSheet.Range("A2").Value = "PageSetup:  PrintArea"
    oWorkSheet.PageSetup.PrintArea = "$A$4:$" & sLastColumn & "$" & lRow
    oWorkSheet.Range("A2").Value = ""
End Sub

 

Message 14 of 15
tdswanson
in reply to: cadfish1

Worked out great, came right in.  An excellent utility to have, thanks a bunch for your help!

Message 15 of 15
BeKirra
in reply to: KF090

Hi guys, is there an update shortcut list for 2014/2015?

I am not asking for a macro because the VBA editor and Macro buttons are not functioning (...most likely disabled by the IT guys).

 

Thanks in advance.

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report